PO4A-NORMALIZE.1P(1)

NAME
po4a-normalize - normalisiert eine Dokumentationsdatei, indem sie mit Po4a ausgewertet und dann zurückgeschrieben wird

ÜBERSICHT
po4a-normalize -f fmt Master.doc

BESCHREIBUNG
Das Projektziel von Po4a (PO für alles) ist es, die Übersetzung (und interessanter, die Wartung der Übersetzung) zu vereinfachen, indem die Gettext-Werkzeuge auch für Gebiete verwendet werden, wo diese nicht erwartet werden, wie Dokumentation.

Das Skript po4a-normalize ist ein Fehlersuchwerkzeug, das dazu verwandt wird, um sicherzustellen, dass Po4a das Dokument nicht verändert, wenn das nicht erfolgen soll. Verwenden Sie das Skript nur, wenn Sie ein neues Modul entwickeln oder Sie den Verstand der Werkzeuge anzweifeln.

Das erstellte Dokument wird nach po4a-normalize.output geschrieben, während die erstellte POT-Datei nach po4a-normalize.po geschrieben wird. Sie können dies mit den Optionen --localized und --pot ändern.

OPTIONEN

-o, --option
    Extraoption(en), die an die Formaterweiterung übergeben werden soll. Lesen Sie die Dokumentation jeder Erweiterung für weitere Informationen über die gültigen Optionen und ihre Bedeutungen. Beispielsweise könnten Sie dem AsciiDoc-Auswerter »-o tablecells« übergeben, während der Text-Auswerter »-o tabs=split« akzeptierte.

-w, --width
    Spalte, an der die entstehende Datei umgebrochen werden soll, falls das Format dies unterstützt (Vorgabe: 76)

-b, --blank
    Erstellt ein leeres übersetztes Dokument. Das erstellte übersetzte Dookument wird unter der Annahme erstellt, dass alle Nachrichten durch ein Leerzeichen oder einen Zeilenumbruch übersetzt werden.

    Dies ist nützlich, um zu prüfen, welche Teile des Dokuments nicht übersetzt werden können.

    --blank und --capitalize können nicht gleichzeitig angegeben werden.

-C, --capitalize
    Erstellt ein übersetztes Dokument und eine entsprechende PO-Datei, bei der die ursprünglichen Zeichenketten als ihre großgeschriebene Version übersetzt sind.

    Dies ist nützlich, um zu prüfen, welche Teile des Dokuments nicht übersetzt werden können und für die Erstellung von Testdaten für Po4a.

    --blank und --capitalize können nicht gleichzeitig angegeben werden.

-h, --help
    zeigt eine kurze Hilfemeldung an

--help-format
    die von Po4a verstandenen Dokumentationsformate auflisten

-f, --format
    Format der Dokumentation, mit der Sie arbeiten möchten. Verwenden Sie die Option --help-format, um eine Liste der verfügbaren Formate zu erhalten.

-M, --master-charset
    Zeichensatz der Datei, die das zu übersetzende Dokument enthält.

-l, --localized
    Name der zu erstellenden normierten Datei (standardmäßig po4a-normalize.output).

-p, --pot
    Zu erzeugende POT-Datei (standardmäßig po4a-normalize.po).

-V, --version
    zeigt die Version des Skripts und beendet sich

SIEHE AUCH
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTOREN
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

URHEBERRECHT UND LIZENZ
Copyright 2002-2023 SPI, Inc.

Dieses Programm ist freie Software; Sie können es unter den Bedingungen der GPL v2.0 oder neuer (siehe die Datei COPYING) vertreiben und/oder verändern.